<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrderCustomersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_customers', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('order_id')->index();
            $table->unsignedTinyInteger('address_type')->default(1);
            $table->string('email')->index()->nullable();
            $table->string('last_name')->index()->nullable();
            $table->string('first_name')->nullable();
            $table->string('country_code')->nullable();
            $table->string('city')->nullable();
            $table->string('street')->nullable();
            $table->string('house_number')->nullable();
            $table->string('postal_code')->nullable();
            $table->string('apt_number')->nullable();
            $table->string('phone_one')->nullable();
            $table->timestamps();
        });
        Schema::table('order_customers', function (Blueprint $table) {
            $table->foreign('order_id')->on('orders')->references('id')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_customers');
    }
}
