import ErpVue from 'vue'
import VueI18n from 'vue-i18n'
import DeliveryItems from "./components/deliveries/DeliveryItems";
import 'vue-select/dist/vue-select.css';
import messages from './messages';
import DeliveryPayments from "./components/deliveries/DeliveryPayments";
import CustomerAddresses from "./components/CustomerAddresses";
import OrderItems from "./components/orders/OrderItems";
import OrderCustomer from "./components/orders/OrderCustomer";
import NovaPoshta from "./components/NovaPoshta";

(function(vm) {
    const locale = document.documentElement.lang.substr(0, 2);
    const i18n = new VueI18n({
        locale,
        messages
    });
    ErpVue.use(VueI18n);
    vm.prototype.$erpHub = new ErpVue({ i18n });
    vm.component('delivery-items', DeliveryItems);
    vm.component('delivery-payments', DeliveryPayments);
    vm.component('order-items', OrderItems);
    vm.component('order-customer', OrderCustomer);
    vm.component('customer-addresses', CustomerAddresses);
    vm.component('nova-poshta-radio', NovaPoshta);
})(Vue, window)
