<?php

namespace TDevAgency\Erp\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\HasOne;
use Kyslik\ColumnSortable\Sortable;
use TDevAgency\Cms\Traits\Filterable;
use TDevAgency\Cms\Traits\Searchable;
use TDevAgency\Erp\Traits\Containerable;

class Customer extends Model
{
    use Containerable, Searchable, Sortable, Filterable;

    protected $fillable = [
        'container_id',
        'email',
        'first_name',
        'last_name',
        'password',
        'phone',
        'customer_comment'
    ];

    protected $hidden = [
        'password'
    ];

    protected $sortable = [
        'email', 'phone', 'last_name'
    ];

    protected $searchable = [
        'email',  'phone', 'last_name'
    ];

    /**
     * @return HasMany
     */
    public function customer_addresses()
    {
        return $this->hasMany(CustomerAddress::class);
    }

    /**
     * @return HasOne
     */
    public function customer_address()
    {
        return $this->hasOne(CustomerAddress::class);
    }

}
